package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我收藏的悬赏对象 tb_user_reward_store
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserRewardStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long userRewardId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 悬赏id */
    @Excel(name = "悬赏id")
    private Long rewardId;

    public void setUserRewardId(Long userRewardId) 
    {
        this.userRewardId = userRewardId;
    }

    public Long getUserRewardId() 
    {
        return userRewardId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setRewardId(Long rewardId) 
    {
        this.rewardId = rewardId;
    }

    public Long getRewardId() 
    {
        return rewardId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userRewardId", getUserRewardId())
            .append("userId", getUserId())
            .append("rewardId", getRewardId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
